pango-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object Used to represent a font in a rendering-system-independent matter.
- Constructor
  Protected constructor.
  Default constuctor for children of this type.
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  Pango.FontDescription Returns a description of the font. a new
- Method
  Pango.FontDescription To be added. To be added. To be added.
- Method
  Pango.EngineShape `` `` the language tag the ISO-10646 character code. Finds the best matching shaper for a font for a particular language tag and character point. the best matching shaper.
- Property
  Pango.FontMap The FontMap for which the Font was created. a .
- Method
  Pango.Coverage `` the language tag Computes the coverage map for a given font and language tag. a new
- Method
  System.Void `` `` `` the glyph index a used to store the extents of the glyph as drawn or to indicate that the result is not needed. a used to store the logical extents of the glyph or to indicate that the result is not needed. Gets the logical and ink extents of a glyph within a font. The coordinate system for each rectangle has its origin at the base line and horizontal origin of the character with increasing coordinates extending to the right and down. The units of the rectangles are in 1 / of a device unit.
- Method
  Pango.FontMetrics `` language tag used to determine which script to get the metrics for, or to indicate to get the metrics for the entire font. Gets overall metric information for a font. a new object. Since the metrics may be substantially different for different scripts, a language tag can be provided to indicate that the metrics should be retrieved that correspond to the script(s) used by that language.
- Property
  GLib.GType GType Property. a Returns the native value for .